Search Results for

Show / Hide Table of Contents

# Struct Assets

A collection of assets to be requested.

##### Inherited Members

ValueType.Equals(object)
ValueType.GetHashCode()
ValueType.ToString()
object.Equals(object, object)
object.GetType()
object.ReferenceEquals(object, object)

###### Namespace: AppstockSDK.Api.Native.Data.Request

###### Assembly: Appstock.Core.dll

##### Syntax

    [Serializable]
    public struct Assets

### Fields

#### allowEmpty

Gets or sets if empty collection is a valid value.

##### Declaration

    [Tooltip("Whether collection should be forwarded to native library even when empty.")]
    public bool allowEmpty

##### Field Value

Type | Description
--- | ---
bool | `false` if empty collection prevents calling the respective setter in native library. `true` if native setter should be called even when collection is empty.

#### data

Gets or sets the data assets.

##### Declaration

    [Tooltip("Data assets to request.")]
    public AssetData[]? data

##### Field Value

Type | Description
--- | ---
AssetData[] | Data assets to request.

##### See Also

AssetData

#### images

Gets or sets the images.

##### Declaration

    [Tooltip("Image assets to request.")]
    public AssetImage[]? images

##### Field Value

Type | Description
--- | ---
AssetImage[] | Image assets to request.

##### See Also

AssetImage

#### titles

Gets or sets the titles.

##### Declaration

    [Tooltip("Title assets to request.")]
    public AssetTitle[]? titles

##### Field Value

Type | Description
--- | ---
AssetTitle[] | Title assets to request.

##### See Also

AssetTitle

### Properties

#### Count

Gets the count of assets in collection.

##### Declaration

    public readonly int Count { get; }

##### Property Value

Type | Description
--- | ---
int | Assets count.